<?php
	
	$carpentry_contractor_tp_theme_css = '';

	// 1st color
	$carpentry_contractor_tp_color_option_first = get_theme_mod('carpentry_contractor_tp_color_option_first', '#D68400');
	if ($carpentry_contractor_tp_color_option_first) {
		$carpentry_contractor_tp_theme_css .= ':root {';
		$carpentry_contractor_tp_theme_css .= '--color-primary1: ' . esc_attr($carpentry_contractor_tp_color_option_first) . ';';
		$carpentry_contractor_tp_theme_css .= '}';
	}

	// preloader
	$carpentry_contractor_tp_preloader_color1_option = get_theme_mod('carpentry_contractor_tp_preloader_color1_option');
	if($carpentry_contractor_tp_preloader_color1_option != false){
	$carpentry_contractor_tp_theme_css .='.center1{';
		$carpentry_contractor_tp_theme_css .='border-color: '.esc_attr($carpentry_contractor_tp_preloader_color1_option).' !important;';
	$carpentry_contractor_tp_theme_css .='}';
	}
	if($carpentry_contractor_tp_preloader_color1_option != false){
	$carpentry_contractor_tp_theme_css .='.center1 .ring::before{';
		$carpentry_contractor_tp_theme_css .='background: '.esc_attr($carpentry_contractor_tp_preloader_color1_option).' !important;';
	$carpentry_contractor_tp_theme_css .='}';
	}

	$carpentry_contractor_tp_preloader_color2_option = get_theme_mod('carpentry_contractor_tp_preloader_color2_option');

	if($carpentry_contractor_tp_preloader_color2_option != false){
	$carpentry_contractor_tp_theme_css .='.center2{';
		$carpentry_contractor_tp_theme_css .='border-color: '.esc_attr($carpentry_contractor_tp_preloader_color2_option).' !important;';
	$carpentry_contractor_tp_theme_css .='}';
	}
	if($carpentry_contractor_tp_preloader_color2_option != false){
	$carpentry_contractor_tp_theme_css .='.center2 .ring::before{';
		$carpentry_contractor_tp_theme_css .='background: '.esc_attr($carpentry_contractor_tp_preloader_color2_option).' !important;';
	$carpentry_contractor_tp_theme_css .='}';
	}

	$carpentry_contractor_tp_preloader_bg_color_option = get_theme_mod('carpentry_contractor_tp_preloader_bg_color_option');

	if($carpentry_contractor_tp_preloader_bg_color_option != false){
	$carpentry_contractor_tp_theme_css .='.loader{';
		$carpentry_contractor_tp_theme_css .='background: '.esc_attr($carpentry_contractor_tp_preloader_bg_color_option).';';
	$carpentry_contractor_tp_theme_css .='}';
	}

	$carpentry_contractor_tp_footer_bg_color_option = get_theme_mod('carpentry_contractor_tp_footer_bg_color_option');


	if($carpentry_contractor_tp_footer_bg_color_option != false){
	$carpentry_contractor_tp_theme_css .='#footer{';
		$carpentry_contractor_tp_theme_css .='background: '.esc_attr($carpentry_contractor_tp_footer_bg_color_option).';';
	$carpentry_contractor_tp_theme_css .='}';
	}

	// logo tagline color
	$carpentry_contractor_site_tagline_color = get_theme_mod('carpentry_contractor_site_tagline_color');

	if($carpentry_contractor_site_tagline_color != false){
	$carpentry_contractor_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$carpentry_contractor_tp_theme_css .='color: '.esc_attr($carpentry_contractor_site_tagline_color).';';
	$carpentry_contractor_tp_theme_css .='}';
	}

	$carpentry_contractor_logo_tagline_color = get_theme_mod('carpentry_contractor_logo_tagline_color');
	if($carpentry_contractor_logo_tagline_color != false){
	$carpentry_contractor_tp_theme_css .='p.site-description{';
	$carpentry_contractor_tp_theme_css .='color: '.esc_attr($carpentry_contractor_logo_tagline_color).';';
	$carpentry_contractor_tp_theme_css .='}';
	}

	// footer widget title color
	$carpentry_contractor_footer_widget_title_color = get_theme_mod('carpentry_contractor_footer_widget_title_color');
	if($carpentry_contractor_footer_widget_title_color != false){
	$carpentry_contractor_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$carpentry_contractor_tp_theme_css .='color: '.esc_attr($carpentry_contractor_footer_widget_title_color).';';
	$carpentry_contractor_tp_theme_css .='}';
	}

	// copyright text color
	$carpentry_contractor_footer_copyright_text_color = get_theme_mod('carpentry_contractor_footer_copyright_text_color');
	if($carpentry_contractor_footer_copyright_text_color != false){
	$carpentry_contractor_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$carpentry_contractor_tp_theme_css .='color: '.esc_attr($carpentry_contractor_footer_copyright_text_color).'!important;';
	$carpentry_contractor_tp_theme_css .='}';
	}

	// header image title color
	$carpentry_contractor_header_image_title_text_color = get_theme_mod('carpentry_contractor_header_image_title_text_color');
	if($carpentry_contractor_header_image_title_text_color != false){
	$carpentry_contractor_tp_theme_css .='.box-text h2{';
	$carpentry_contractor_tp_theme_css .='color: '.esc_attr($carpentry_contractor_header_image_title_text_color).';';
	$carpentry_contractor_tp_theme_css .='}';
	}

	// menu color
	$carpentry_contractor_menu_color = get_theme_mod('carpentry_contractor_menu_color');
	if($carpentry_contractor_menu_color != false){
	$carpentry_contractor_tp_theme_css .='.main-navigation a{';
	$carpentry_contractor_tp_theme_css .='color: '.esc_attr($carpentry_contractor_menu_color).';';
	$carpentry_contractor_tp_theme_css .='}';
}


//Footer Font Weight
$carpentry_contractor_footer_copyright_title_font_weight = get_theme_mod( 'carpentry_contractor_footer_copyright_title_font_weight','');
if($carpentry_contractor_footer_copyright_title_font_weight == '100'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 100;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '200'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 200;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '300'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 300;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '400'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 400;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '500'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 500;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '600'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 600;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '700'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 700;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '800'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 800;';
$carpentry_contractor_tp_theme_css .='}';
}else if($carpentry_contractor_footer_copyright_title_font_weight == '900'){
$carpentry_contractor_tp_theme_css .='#footer .site-info p {';
    $carpentry_contractor_tp_theme_css .='font-weight: 900;';
$carpentry_contractor_tp_theme_css .='}';
}